function [V_POD, a_POD, erreur_POD] = POD(Q, epsilon_POD)
	// Q = V_POD*lambda*a'
    // Decomposition en valeur propre [matrice de passage, matrice diag, matrice de passage]
	[V_POD,lambda,a] = svd(Q); 
    // Classement des valeurs propres par ordre croissant dans un vecteur colonne + nouveaux indices
	[lambda,renum] = gsort(diag(lambda));
    // Indices des valeurs propres supérieures (choix de la base)
	L_selection = find(lambda > epsilon_POD * lambda(1));
	N = length(L_selection);
    // V_POD est réorganisé en fonction
	V_POD = V_POD(:,renum(L_selection));
	// on cherche a_POD qui minimise Q - V_POD*a_POD
	a_POD = (V_POD'*V_POD)\(V_POD'*Q);

	// truncation_error_on_snapshots = sqrt(sum(lambda(N+1:length(lambda)).^2)/sum(lambda.^2));
	erreur_POD = norm(Q-V_POD*a_POD)/norm(Q);
    
//    lambda = lambda(find(lambda > 0));
//	scf();
//	//plot2d('ll', lambda, '+');
//    semilogy(lambda,'+')
//    //set(gca(),"auto_clear","off")
//    //semilogy(epsilon_POD * lambda(1),'r')
//	xlabel('mode index');
//	ylabel('singular value');
endfunction
