// mesh creation
function [PosNoeuds, Lbord, n, tri, ech] = get_mesh(nx, ny, Lx, Ly)
    [x, y] = meshgrid(linspace(0, Lx, nx), linspace(0, Ly, ny))
	
    n = nx * ny;
    PosNoeuds = [x(:), y(:)]; // nodal coordinates
    
	// Les bords sont définis avec Lbord
    eps = 0.0001;
	Lbord = find(PosNoeuds(:, 1) < eps );
	Lbord = union(Lbord, find(PosNoeuds(:, 1) > Lx - eps));
    Lbord = union(Lbord, find(PosNoeuds(:, 2) < eps));	
    Lbord = union(Lbord, find(PosNoeuds(:, 2) > Ly - eps));
	
    scf();
    axis('equal');
    ech = axis();    
    plot(PosNoeuds(:, 1), PosNoeuds(:, 2), 'b.');

    // Déplacement du point d'origine du repère de la maille au point (0.5 Lx,O.5 Ly)
	PosNoeuds = PosNoeuds - ones(n , 1)*[Lx/2, Ly/2];

	 // triangular elements
	tri = delaunay_2(PosNoeuds(:, 1)', PosNoeuds(:, 2)');
[nbtri2,nb2] = size(tri);
tri2 = [tri tri(:,1)];
for k = 1:nbtri2
plot2d(x(tri2(k,:)),y(tri2(k,:)),style = 2);
end
endfunction
