// Transient thermal simulation

exec get_mesh.sci;
exec thermique_transitoire.sci;
exec POD.sci;
exec dessinisoe.sci;
exec thermiPOD.sci;

delete("all");
// Taille de la dalle et nombre de maille
nx = 10;
ny = 10;
Lx = 0.45;
Ly = 0.40;
[PosNoeuds, Lbord, n, tri, ech] = get_mesh(nx, ny, Lx, Ly);

// Full Order Model and snapshots storage
[Q_dof, Q_flux, K, M, Get_Flux] = thermique_transitoire(1, n, tri, PosNoeuds, Lbord, ech, 'o');
// POD reduced bases
epsilon_POD = 1.e-3;
[V_POD,a_POD,erreur_POD] = POD(Q_dof, epsilon_POD);
N = size(V_POD,2);
// La même pour le flux
[V_POD_flux, a_POD_flux, erreur_POD] = POD(Q_flux, epsilon_POD);
N_flux = size(V_POD,2);


// visualisation of few empirical modes
figure();
dtri = double(tri');
trisurf(dtri,PosNoeuds(:,1),PosNoeuds(:,2),V_POD(:,1));
colorbar bot;
title('Dof Mode 1');
figure();
trisurf(dtri,PosNoeuds(:,1),PosNoeuds(:,2),V_POD(:,2));
colorbar bot;
title('Dof Mode 2');
figure();
trisurf(dtri,PosNoeuds(:,1),PosNoeuds(:,2),V_POD(:,3));
colorbar bot;
title('Dof Mode 3');
figure();
trisurf(dtri,PosNoeuds(:,1),PosNoeuds(:,2),V_POD(:,4));
colorbar bot;
title('Dof Mode 4');
figure();
trisurf(dtri,PosNoeuds(:,1),PosNoeuds(:,2),V_POD(:,5));
colorbar bot;
title('Dof Mode 5');
//figure();
//trimesh(dtri,PosNoeuds(:,1),PosNoeuds(:,2),V_POD(:,N));
//title(['Dof Mode ', string(N)]);

// First mode for flux, x component
//dessinisoe(tri,PosNoeuds,V_POD_flux(1:2:2*size(tri,1),1));
//title('Flux Mode 1');


thermiPOD(K, M, V_POD, tri, PosNoeuds, Lbord);
