exec assemblage.sci;
exec dessinisoe.sci;

//function [Q_dof, Q_flux, K, M, Get_Flux, toctoc] = thermique_transitoire(mu, n, tri, PosNoeuds, Lbord, ech, visu)
function [toctoc]=thermique_transitoire(mu, n, tri, PosNoeuds, Lbord, ech, visu)
	[K, M, Get_Flux] = assemblage(n, tri, PosNoeuds, 2.4, 1.0, 3.03e6);
	// echange thermique sur le bord
	h = mu;
// Ajout de l'intégrale sur le bord
	K(Lbord, Lbord) = K(Lbord, Lbord) + h * diag(ones(length(Lbord),1));

// Conditions intitiales
	Text = 25.;
	To = 2400.;
// Définition du flux au bord
	F = zeros(n,1);
	F(Lbord) = h * Text;

	dt = 600.;
	q = To * ones(n,1);
	tf = 2*24*3600;
// Initialisation du calcul de la température en prenant l'équivalent matriciel de la racine carrée
	Up = chol(M/dt+K);
	// Input argument for future POD function
    Q_dof  = q; // Matrice contenant toutes les itération de températures par colonne
	Q_flux = Get_Flux*q;

// Temperature axes bounds
    umin=0;
    umax=3000;

//	if visu == 'o' then //visualisation on
//        dtri = double(tri');
//        // Plot of temperature at t=0
//        fig2 = scf();
//        trisurf(dtri, PosNoeuds(:,1),PosNoeuds(:,2),q)
//        caxis([0 3000])
//        colorbar bot;
//
//	end
	i = 0;
tic();
	while max(abs(q)) > 0.1*To+Text //limite au dela de laquelle on étudie plus le refroidissement?
	    i = i+1;
	    // M dq/dt + K q = F (Euler implicit scheme)
        // M (q(n+1)-q(n))/dt + Kq = F
        // q(n+1)=(M/dt+K)^-1 (F+Mq(n)/dt)
        //q(n+1)=(Up Up')^-1 (F+Mq(n)/dt)
        q = Up\(Up'\(M/dt*q+F));  
	    phi = Get_Flux*q;
	    Q_dof = [Q_dof,q];
	    Q_flux = [Q_flux,phi];
        
//        if visu == 'o'
//            drawlater();
//            trisurf(dtri, PosNoeuds(:,1),PosNoeuds(:,2),q)
//            caxis([0 3000])
//            colorbar bot;
//            axis([-0.3 0.3 -0.3 0.3 0 3000])  
//            xs2gif(0,'img_'+string(999+i)+'.gif')
//            drawnow();            
//			if i==2
//			   phi_x = phi(1:2:length(phi));
//			   phi_y = phi(2:2:length(phi));
//			   phi_mag = sqrt( phi_x.^2 + phi_y.^2 );
//			   dessinisoe(tri,PosNoeuds,phi_mag)
//			end
//	    end
	end
toctoc=toc();
endfunction
